Commit d56e0e7e authored by Shenghou Ma's avatar Shenghou Ma Committed by Mikio Hara

doc: fix freebsd build

Also rename it to test.bash, for naming consistency.

R=golang-dev, r
CC=golang-dev
https://golang.org/cl/5784045
parent 9069721b
#!/usr/bin/env bash
# Copyright 2010 The Go Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.
set -e
wiki_pid=
......@@ -8,10 +11,10 @@ cleanup() {
}
trap cleanup 0 INT
make get.bin
go build -o get.bin get.go
addr=$(./get.bin -addr)
sed s/:8080/$addr/ < final.go > final-test.go
make final-test.bin
go build -o final-test.bin final-test.go
(./final-test.bin) &
wiki_pid=$!
......
......@@ -71,7 +71,7 @@ time ./run
[ "$GOARCH" == arm ] || # uses network, fails under QEMU
(xcd ../doc/articles/wiki
make clean
./test.sh
./test.bash
) || exit $?
echo
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment